@echo off
rem    FPGA  E16
rem      E16
rem       E14-440,       E16  !

set scriptpath=%~d0%~p0

set FPGA_FIRM_FILE_E540="%scriptpath%\..\e16_540_v2.bin.lxfw"
set FPGA_FIRM_FILE_E440="%scriptpath%\..\e16_440_v2.bin.lxfw"
set LXFW_UPDATE_EXEC="lxfw-update.exe"
set E540_BOOTFLAG="0"
set E440_BOOTFLAG="1"

set "PATH=.;..;%PATH%"

chcp 1251 > NUL

echo.
echo =====    =========
echo.


%LXFW_UPDATE_EXEC% --devname E16 --bootflag %E440_BOOTFLAG% --skip-reload --main-only --dont-check-ver %FPGA_FIRM_FILE_E440%
%LXFW_UPDATE_EXEC% --devname E16 --bootflag %E540_BOOTFLAG% --main-only --dont-check-ver %FPGA_FIRM_FILE_E540%
if not %errorlevel% == 0 goto :fail_fpga_boot
echo.
echo =====      =========
echo.

goto end

:fail_fpga_boot
echo.
echo ===== !!!      
exit /B 3
:end



